Saxon API for .NET |

# XdmValue Methods

The methods of the XdmValue class are listed below. For a complete list of XdmValue class members, see the XdmValue Members topic.

#### Public Static Methods

Wrap | Create an XdmValue from an underlying Saxon ValueRepresentation object. This method is provided for the benefit of applications that need to mix use of the Saxon .NET API with direct use of the underlying objects and methods offered by the Java implementation.

#### Public Instance Methods

Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
GetEnumerator | Get the sequence of items in the form of an `IEnumerator`
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetList | Get the sequence of items in the form of an `IList`
GetType (inherited from Object) | Gets the Type of the current instance.
ToString (inherited from Object) | Returns a String that represents the current Object.
Unwrap | Extract the underlying Saxon ValueRepresentation object from an XdmValue. This method is provided for the benefit of applications that need to mix use of the Saxon .NET API with direct use of the underlying objects and methods offered by the Java implementation.

#### Protected Instance Methods

Finalize (inherited from Object) | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection.
MemberwiseClone (inherited from Object) | Creates a shallow copy of the current Object.

#### See Also

XdmValue Class | Saxon.Api Namespace